Flux 3 Action
Integrace
flux-3-action/so101
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-3-action/so101?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-3-action/so101", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cs/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "flux-3-action/so101",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}
}
Volejte model Flux 3 Action (flux-3-action/so101) prostřednictvím Doitong API. Dokumentace pro agenty: https://doitong.com/cs/developers/models/flux-3-action/so101.md
POST https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}
Pokud je stav odpovědi "queued" nebo "running", dotazujte GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20, dokud nebude "succeeded"; soubory jsou v outputs[].url. POST https://vit.doitong.com/api/v1/quote/flux-3-action/so101 se stejným tělem vrátí přesnou cenu před spuštěním.
Tento požadavek: ≈0,003 $ 3 kredity API Spustit na této stránce
Váš nový API klíč. Zobrazuje se pouze nyní a už je vložen do kódu a do pole API klíč níže. Uchovávejte ho v tajnosti: nikdy ho nevkládejte do kódu, který se spouští v prohlížeči.
Zde se zobrazí váš první výsledek
Níže sestavte požadavek a spusťte ho pomocí svého API klíče. Výstupy se kopírují do našeho úložiště a uchovávají se navždy nebo 7 dne zdarma.
Sestavit požadavek
Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.
/run/flux-3-action/so101?wait=20
cena → 0,003 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-3-action/so101?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-3-action/so101?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-3-action/so101", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "flux-3-action/so101",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
},
"wait_seconds": 20
}
}
}
Spustit tento požadavek
Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API
O modelu Flux 3 Action
Namísto médií vrací JSON s předpovězenými `actions`, jejich řídicí frekvencí, názvy sloupců a počtem úvodních kroků, které je třeba provést (`execute_steps`) před vyžádáním nového bloku. Povinné vstupy jsou textový `prompt` (až 2000 znaků), `scene_image_url`, `wrist_image_url` a `state` o 6 hodnotách. Volitelné historické vstupy (`state_history`, `command_history`, historické obrazy) poskytují časový kontext. `num_inference_steps` se pohybuje od 1 do 8 a `guidance_scale` od 1 do 10.
Parametry
promptpovinné
scene_image_urlpovinné
wrist_image_urlpovinné
statepovinné
state_historyvolitelné
command_historyvolitelné
history_scene_image_urlvolitelné
history_wrist_image_urlvolitelné
num_inference_stepsvolitelné
guidance_scalevolitelné
seedvolitelné
Parametry souborů přijímají veřejnou adresu https:// URL, data: URI do 10 MB nebo file_url nahraného souboru. Soubory
Výstup
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "flux-3-action/so101",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 3,
"usd": "0.003",
"charged": 3,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"scene_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"wrist_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"state": [
-18.94,
134.52,
120.15,
28.3,
-32.17,
27.02
]
},
"output": {
"actions": [
[
1.0
]
],
"action_labels": [
"string"
],
"action_hz": 1.0,
"execute_steps": 1,
"seed": 42,
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pole výstupu
- actions
- array of array of numberPredikované pole akcí s chronologickými řádky představujícími řídicí kroky; hodnoty nejsou ořezané, takže na robotu je nutné vynutit limity kloubů, rychlosti a pracovního prostoru. Při 30 Hz poskytuje SO-101 42x6 absolutních příkazů ve stupních a procentech chapadla; při 15 Hz poskytuje DROID 32x8 absolutních cílů kloubů v radiánech a podíl uzavření chapadla.
- action_labels
- array of stringNázvy odpovídající sloupcům akcí.
- action_hz
- numberŘídicí frekvence řádků akcí.
- execute_steps
- integerPočet počátečních akcí, které se mají provést před vyžádáním další části.
- seed
- integerNáhodný seed použitý při vzorkování.
- timings
- objectČasová měření ze serveru vyjádřená v sekundách.
Další modely: Video na video
Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/flux-3-action/so101.md. Všechny modely a návody: https://doitong.com/developers/llms.txt